# Classic SEO Plugin

Classic SEO is the first SEO plugin built specifically to work with ClassicPress. The plugin contains many essential SEO tools to help optimize your website.

Latest release:  See [Change log](CHANGES.md)

* * *

## Installation

1. Head over to the [Releases section](https://github.com/ClassicPress-plugins/classicpress-seo/releases) of this GitHub repository.
2. Expand the "Assets" dropdown by the latest release and download the `classicpress-seo.zip` file.
3. Go to the "Plugins > Add New" section of your site's dashboard and upload the zip file there using the "Upload Plugin" button.

## Minimum Requirements

- ClassicPress 1.1.0
- PHP 7.0

## Credits
This is a fork of Rank Math.

## Key features of Classic SEO

- Focus Keyword and Content Analysis
- 404 Monitor
- Support for ACF
- Link Counter
- Social Previews
- Local SEO / Knowledge Graph
- Redirections
- Rich Snippets
- XML Sitemap
- Support for [Classic Commerce](https://classiccommerce.cc/)
- Social meta: Facebook, Twitter, Google Places, LinkedIn, Instagram, YouTube, Pinterest
- Imports for Rank Math, Yoast, All In One SEO and The SEO Framework
- Role Manager
- and more...

## Support
If you need support for Classic SEO or find a bug, you have threee choices:
- create an issue on the [issues page](https://github.com/ClassicPress/classicpress-seo/issues)
- [create a topic](https://forums.classicpress.net/tags/classic-seo) in the ClassicPress forums.
- Look out for the [#classic-seo channel on Slack](https://www.classicpress.net/join-slack/)

## Reporting Security Issues
Disclose security issues to our team (security@classicpress.net)

## Changelog
[Change log for this project](CHANGES.md)

## License
This project is licensed under the GNU General Public License (GPL) v2 or later - see the [LICENSE](LICENSE) file for details.
