<?php
/**
 * Help 404 Monitor tab.
 *
 * @package    Classic_SEO
 * @subpackage Classic_SEO\Monitor
 */

?>

<h3><?php esc_html_e( '404 Monitor', 'cpseo' ); ?></h3>
<p><?php esc_html_e( '404 errors happen when someone requests a page or file that doesn\'t exist.', 'cpseo' ); ?></p>

<h4><?php esc_html_e( '404s happen when:', 'cpseo' ); ?></h4>

<ol>
	<li><?php esc_html_e( 'Someone types the wrong address', 'cpseo' ); ?></li>
	<li><?php esc_html_e( 'Someone links to the wrong address', 'cpseo' ); ?></li>
	<li><?php esc_html_e( 'The file or page has moved to a different address', 'cpseo' ); ?></li>
	<li><?php esc_html_e( 'The page or file is deleted', 'cpseo' ); ?></li>
	<li><?php esc_html_e( 'The page or file never existed', 'cpseo' ); ?></li>
</ol>

<p><?php esc_html_e( '404 errors are the most common type of errors you\'ll see when browsing the web. In general, they won\'t hurt your ranking but too many 404 errors will provide a poor user experience, so they\'re generally best avoided.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'If you visit a site, you probably want to read or view content on that site. You won\'t stay on the site if the content is missing. Serving many 404 errors to your visitors is a good way to lose them.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'It doesn\'t matter either who\'s to "blame" for the error. Maybe someone clicked on a broken link on another website. Or maybe they made a typo when they entered a URL in their browser.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'But it could equally be caused if, for example, you changed the URL of an article to make it more appealing to search engines. Or perhaps you just deleted a page because it was no longer needed.', 'cpseo' ); ?></p>

<h4><?php esc_html_e( 'What does the 404 Monitor do?', 'cpseo' ); ?></h4>

<p><?php esc_html_e( 'Fixing 404 errors is a usability issue. Patching them up will result in a better user experience, more useful traffic to your site, and, potentially, more revenue.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'The great thing about the 404 Monitor in Classic SEO is that it logs each 404 error and the URL that gave the error. It also logs how many times someone has attempted to visit a particular non-existent URL.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'And then, in conjunction with the Redirections module, it allows you to set up a proper redirect to an alternative page.', 'cpseo' ); ?></p>



