<?php
/**
 * Help Redirection tab.
 *
 * @package    Classic_SEO
 * @subpackage Classic_SEO\Redirections
 */

?>

<h3><?php esc_html_e( 'Redirections', 'cpseo' ); ?></h3>

<p><?php esc_html_e( 'When you visit a URL with a redirect in place, your browser will automatically go to a different address.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'For example, you could enter www.example.com/page-a in your browser but you could be redirected to www.example.com/page-b or even www.anotherexample.com/page-z.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'This is a very common occurrence when browsing the web.', 'cpseo' ); ?></p>

<h3><?php esc_html_e( 'Why redirect?', 'cpseo' ); ?></h3>

<p><?php esc_html_e( 'Redirects are very common and are an essential part of the web.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'Let\'s say we\'ve just moved our website to a new address and we want to shut down the old one.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'If we don\'t set up redirects, all those pages from the old site will give a 404 Not Found error and, more significantly, you stand to lose all those customers or visitors you worked so hard to gain. Not ideal is it?', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'So, what we need is for those old links to redirect to the same content on our new site. And, we need a way to tell search engines that these redirects are either temporary or permanent.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'HTTP redirections are powerful tools in SEO, and they have lots of other uses too.', 'cpseo' ); ?></p>

<p><?php esc_html_e( 'The Redirections module in Classic SEO makes it all as simple as possible.', 'cpseo' ); ?></p>

